OSX Administration - Support #899

Reset User Password in Single User Mode on OSX
06/08/2017 09:38 PM - Daniel Curtis

Status: Closed Start date: 06/08/2017
Priority: Normal Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Estimated time: 0.50 hour
Target version: 0SX 10.5 Spent time: 1.00 hour
Description

This is a guide for resetting a users password using single user mode on OSX.
® Boot into single user mode by turning on the computer and holding *Command + S*

¢ Check the filesystem for any errors before mounting:

fsck —-fy

e Mount the root partition:

mount -uw /

e | oad the Apple Directory Service:

launchctl load /System/Library/LaunchDaemons/com.apple.DirectoryServices.plist

e Change the user, bob, password to SuperSecretPassword:

dscl . -passwd /Users/bob SuperSecretPassword
® Reboot:
reboot
Resources

e http://hints.macworld.com/article.php?story=20080414140636495

History

#1 - 06/08/2017 09:39 PM - Daniel Curtis
- Status changed from New to Resolved

- % Done changed from 0 to 100

#2 - 10/05/2017 07:04 PM - Daniel Curtis

- Status changed from Resolved to Closed
